export interface IHuffmanNode {
    value?: string;
    left?: IHuffmanNode;
    right?: IHuffmanNode;
}
export declare type IHuffmanEncodedData = Array<0 | 1>;
export declare type IHuffmanEncodingTable = Record<string, IHuffmanEncodedData>;
/**
 * Create a Huffman tree for the specified texts.
 */
export declare function createHuffmanTree(text: string): IHuffmanNode;
/**
 * Build a HuffmanEncodingTable based on Huffman tree.
 * @param tree
 * @returns
 */
export declare function buildEncodingTable(tree: IHuffmanNode): IHuffmanEncodingTable;
/**
 * Build a huffman tree based on HuffmanEncodingTable.
 * @param table
 * @returns
 */
export declare function buildHuffmanTree(table: IHuffmanEncodingTable): IHuffmanNode;
